"""Combine the skip0 and skip3 data of DAS1, each in 2 parts (HF and LF)."""
import pybert as pb


filenames = [["DD42E_SK0_I1_N20180814_0933.Data",
              "DD42E_SK0_I1_N20180814_1116.Data"],
             ["DD42E_SK3_I1_N20180814_1016.Data",
              "DD42E_SK3_I1_N20180814_1211.Data"]]
for p in range(2):
    part = pb.FDIPdata(filenames[p][0])  # high-frequency part
    part.filter(forward=True)
    partLF = pb.FDIPdata(filenames[p][1])  # low-frequency part
    partLF.filter(forward=True)
    part.addData(partLF)
    if p == 0:
        pro1 = part
    else:
        pro1.addData(part)

pro1.saveData('IP1_DAS1')
pro1.generateDataPDF(rmin=3, rmax=150, ipmax=150)
