import numpy as np
import pybert as pb

tdip = pb.TDIPdata("IP1_Terrameter.dip")
print(tdip)
tdip.filter(tmin=19e-3)  # bring all data to same gate vector
tdip.fitDecays()
# %% have a look at some stuff: single decay, time constant etc.
tdip.showDecay(ab=[3, 4], showFit=True)
tdip.showDecay(ab=[8, 12], showFit=True)
# %%
tdip.showData("fit", logScale=False)
tdip.filter(fitmax=1)
# %%
tdip.showData("tau")
tdip.filter(taumin=0.7, taumax=4)
tdip.showMa(10)
# %%
tdip.saveData(tdip.basename+"_corr")
