import pybert as pb

tdip = pb.TDIPdata("IP1_Terrameter_corr.shm")
print(tdip)
zw = 0.2
# %% resistivity inversion
# tdip.ERT = None  # for repetition
tdip.invertRhoa(zWeight=zw, quality=34.5, paraDepth=12)
tdip.showResistivity(cMin=5, cMax=500)
# %% singla chargability inversion
tdip.invertMa(nr=2, zWeight=zw)
tdip.showChargeability(cMin=0, cMax=200)
# %% simultaneous inversion of all gates
tdip.simultaneousInversion(error=0.01, zWeight=zw)
tdip.generateModelPDF()
tdip.saveResults()
