import os.path
import numpy as np
import pybert as pb

tdip = pb.TDIPdata("IP1_Terrameter_corr.shm")
print(tdip)
tdip.filter(tmin=19e-3)  # bring all data to same gate vector
if os.path.isfile(tdip.basename+".mtc"):  # fit already there
    tdip.loadResult(loadColeCole=True)
else:
    tdip.loadResult()
    tdip.fitModelDecays(useColeCole=True)  # , show=True)
    tdip.saveResults()  # also save cole cole terms
    
tdip.showColeColeResults(rlim=(5, 500), mlim=(0, 250))
# %% show single model decay
tdip.showModelDecay([20, -4])
# %% show several model decays
tdip.showModelDecays(x=20, z=-np.arange(0.5, 10, 1))
# tdip.showModelDecays(x=np.arange(5, 35), z=-5.0)
tdip.saveFigures()
