"""Combine the three roll-along parts of DAS1, each in 2 parts (HF and LF)."""
import pybert as pb


filenames = [["DDAS32_72E_SK0_S1_NR20180811_1048.Data",
              "DDAS32_72E_SK0_S120180811_1134.Data"],
             ["DDAS32_72E_SK0_S1_NR20180811_1227.Data",
              "DDAS32_72E_SK0_S120180811_1319.Data"],
             ["DDAS32_72E_SK0_S1_NR20180811_1517.Data",
              "DDAS32_72E_SK0_S120180811_1558.Data"]]
startElectrodes = [5, 23, 41]
for p in range(3):
    part = pb.FDIPdata(filenames[p][0])  # high-frequency part
    part.filter(forward=True)
    partLF = pb.FDIPdata(filenames[p][1])  # low-frequency part
    part.addData(partLF)
    for i in range(part.data.sensorCount()):
        part.data.setSensorPosition(i, [(i+startElectrodes[p]-1)*5, 0])

    part.RHOA *= 5  # because 1m instead of 5m was in the init file
    if p == 0:
        for tok in ['a', 'b', 'm', 'n']:
            part.data.set(tok, part.data.sensorCount()-1-part.data(tok))

        pro1 = part
    else:
        pro1.addData(part)

pro1.saveData('IP5_DAS1')
pro1.generateDataPDF(rmin=3, rmax=150, ipmax=150)
