"""Combine the three roll-along parts of the profile"""
import pybert as pb
from pygimli.physics.SIP.importData import readSIP256file

# header, DATA, AB, RU
sip = pb.FDIPdata('Schleiz-5m-part1.res')
print(sip)
sip2 = pb.FDIPdata('Schleiz-5m-part2.res')
print(sip2)
sip3 = pb.FDIPdata('Schleiz-5m-part3.res')
print(sip3)
# do the filtering
sip.filter(kmax=120000, a=1, m=[7, 8])  # missing remote units
sip2.filter(kmax=40000, m=[10, 21])
sip3.filter(kmax=70000, m=[7, 8, 15, 17, 18, 22, 23])
# turn around reverse positions
for tok in ['a', 'b', 'm', 'n']:
    for data in [sip.data, sip2.data, sip3.data]:
        data.set(tok, 24-data(tok))
# shift individual roll-along parts
for i in range(25):
    sip.data.setSensorPosition(i, [i*5.0+25, 0])
    sip2.data.setSensorPosition(i, [i*5.0+115, 0])
    sip3.data.setSensorPosition(i, [i*5.0+215, 0])
# combine all three parts and save it under a unique name
sip.addData(sip2)
sip.addData(sip3)
sip.filter(fmax=150)  # some NaN values for 266 Hz
sip.saveData('IP5_SIP256C')  # save as basename + shm/rhoa/phia files
sip.generateDataPDF(kmax=50000, ipmax=150, rmin=3, rmax=80)
