import matplotlib.pyplot as plt
import pybert as pb
from matplotlib import cm

sip = pb.FDIPdata('../IP1/SIP256C//IP1_SIP256C')
print(sip)
das = pb.FDIPdata('../IP1/DAS1/IP1_DAS1')
print(das)
sysc = pb.TDIPdata('../IP1/Syscal/IP1_Syscal.txt')
print(sysc)
abem = pb.TDIPdata('../IP1/Terrameter/IP1_Terrameter.dip')
print(abem)
# %%
rmap = cm.get_cmap('Spectral_r')
imap = cm.get_cmap('viridis')
imap.set_under('lightgray')
imap.set_over('darkgray')
imap.set_bad('black')
rkw = dict(cMin=5, cMax=500, logScale=True, what='rhoa', cMap=rmap,
           label=r'$\rho_a$ [$\Omega$m]', xlabel='x [m]', colorBar=True)
# %%
frsip = 3
frdas = 3
fig, ax = plt.subplots(nrows=2, ncols=2, figsize=(12, 9))
sip.showSingleFrequencyData(fr=frsip, ax=ax[0, 0], **rkw)
rkw['colorBar'] = False
das.showSingleFrequencyData(fr=frdas, ax=ax[1, 0], **rkw)
pb.show(abem.data, ax=ax[0, 1], **rkw)
pb.show(sysc.data, ax=ax[1, 1], **rkw)
for i, t in enumerate(['SIP256C', 'Terrameter LS2', 'DAS-1', 'Syscal Pro']):
    ax.flat[i].set_title(t, loc='left')

fig.savefig('figure04.pdf', bbox_inches='tight')
