import matplotlib.pyplot as plt
import pybert as pb

sip = pb.FDIPdata('../IP1/SIP256C/IP1_SIP256C')
das = pb.FDIPdata('../IP1/DAS1/IP1_DAS1')
# %%
start = 26
ab = [start, start+1]
mm = [start+1+i for i in (1, 4, 7)]
fig, ax = plt.subplots()
cols = ['C0', 'C2', 'C3']
for i, mi in enumerate(mm):
    sip.showDataSpectra(ax=ax, ab=ab, mn=[mi, mi+1], color=cols[i], marker='v',
                        label='SIP256C '+str(mi)+'-'+str(mi+1), ls='-')
cols = ['C9', 'C8', 'C6']
for i, mi in enumerate(mm):
    das.showDataSpectra(ax=ax, ab=ab, mn=[mi, mi+1], color=cols[i], marker='^',
                        label='DAS1 '+str(mi)+'-'+str(mi+1), ls='--')
ax.set_xlabel('f [Hz]')
ax.set_ylabel(r'-$\phi_a$ [mrad]')
ax.set_ylim(-10, 50)

fig.savefig('figure07.pdf', bbox_inches='tight')
