import numpy as np
import matplotlib.pyplot as plt
import pybert as pb

syscal = pb.TDIPdata('../IP1/Syscal/IP1_Syscal.txt')
abemU = pb.TDIPdata('../IP1/Terrameter/rawData/IP1_Terrameter-unprocessed.txt')
dt = np.array([0.06, 0.06, 0.06, 0.12, 0.12, 0.18, 0.24, 0.30, 0.36, 0.42,
               0.54, 0.66, 0.84])
abemU.setGates(dt=dt, delay=0.01)
abemP = pb.TDIPdata('../IP1/Terrameter/IP1_Terrameter.dip')
# %%
cols1 = ['C0', 'C2', 'C3']
cols2 = ['C9', 'C8', 'C6']
fig, ax = plt.subplots()
ab = [26, 27]
ms = 3
for i, n in enumerate([1, 4, 7]):
    mn = [max(ab) + n, max(ab) + n + 1]
    syscal.showDecay(ab=ab, mn=mn, ax=ax, color=cols1[i], marker='o',
                     label='Syscal '+str(mn[0])+'-'+str(mn[1]), ms=ms)
    abemU.showDecay(ab=ab, mn=mn, ax=ax, color=cols2[i], marker='v',
                    label='', ls='dotted', ms=ms)
    abemP.showDecay(ab=ab, mn=mn, ax=ax, color=cols2[i], marker='^',
                    label='Terrameter '+str(mn[0])+'-'+str(mn[1]), ms=ms,
                    invalid=True)

ax.grid(True)
ax.set_xlim(0.001, 4)
ax.set_ylim(1, 1000)
fig.savefig('figure08.pdf', bbox_inches='tight')
