from matplotlib import cm
import pybert as pb

# %%
sip = pb.FDIPdata('../IP1/SIP256C/IP1_SIP256C')
print(sip)
# %% define plotting options
rdict = dict(cMin=5, cMax=500, cMap='Spectral_r', logScale=True,
             label=r'resistivity ($\Omega$m)', colorBar=False)
imap = cm.get_cmap('viridis')
imap.set_under('lightgray')
imap.set_over('darkgray')
idict = dict(cMin=0, cMax=150, logScale=False, cMap=imap,
             label=r'$-\phi$ (mrad)', colorBar=False)
# %% create subplots
fig, ax = pb.pg.plt.subplots(nrows=2, figsize=(6, 8),
                             sharex=True, sharey=True)
sip.showSingleFrequencyData(1000.0, ax=ax[0], what="rhoa", **rdict)
sip.showSingleFrequencyData(1000.0, ax=ax[1], what="ip", **idict)
# %%
fig.savefig('figure14.pdf', bbox_inches='tight')
